Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004963TestLinkExport/Importpublic2012-04-04 05:302012-09-01 19:59
Reportertechieguy 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004963: Test case / Test suite XML format, new element to set author
DescriptionAn extra field in xml of test case should exist which tell who wrote/create this test cases. Since by default all the test cases imported go under one user name ( admin or whosoever is importing the test cases in xml).
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon PAND-with-author-.testsuite-deep.xml [^] (1,669 bytes) 2012-04-07 15:37
xml file icon WITHAUTHOR-TC-PAND-03.version1.testcase.xml [^] (439 bytes) 2012-04-07 15:37

- Relationships
child of 0005070closedfman Import Test suite with Custom fields - Custom fields are not imported 

-  Notes
(0016495)
fman (administrator)
2012-04-04 10:20

please provide a clear requirement, with detailed steps to reproduce.
(0016498)
techieguy (reporter)
2012-04-04 10:31
edited on: 2012-04-04 11:04

OK, see the current xml below for a test case to be imported:

<testcase name="test-3">
<summary><![CDATA[Verify all the modules]]></summary>
<importance><![CDATA[2]]></importance>
<steps>
<step>
<step_number><![CDATA[1]]></step_number>
<actions><![CDATA[test clients]]></actions>
<expectedresults><![CDATA[test clients]]></expectedresults>
</step>
</steps>
<keywords>
<keyword name="Regression">
<notes><![CDATA[Regression]]></notes>
</keyword>
</keywords>
<custom_fields>
<custom_field>
<name><![CDATA[REQ ID]]></name>
<value><![CDATA[REQ-3]]></value>
</custom_field>
</custom_fields>
<requirements>
<requirement>
<req_spec_title><![CDATA[Specification2]]></req_spec_title>
<doc_id><![CDATA[Spec 2.2]]></doc_id>
</requirement>
</requirements>
</testcase>

Now this doesnt specify who wrote the test case so may be their should be an xml field which can be used to import the tester name who created the test case.

<AUTHOR> TECHIE GUY </AUTHOR>

something like this and then when its imported it reflects as AUTHOR in the test case page or the spec.

(0016536)
fman (administrator)
2012-04-07 14:08
edited on: 2012-04-07 15:33

<author_login></author_login>
Has to be an existent login, if does not exit => login of user, who is importing data will be used.

If import settings update current data instead of creating new, this element will be used to set modifier attribute, not author.

No check will be done on ROLE of author_login, this means that if you import with this element set to an user that has NO RIGHT to manage test cases, anyway he/she will be displayed as AUTHOR


author/modifier will be displayed as usual ONLY on Test Cases, not on Test Suites.

(0016537)
fman (administrator)
2012-04-07 15:37

example files attached
(0016538)
fman (administrator)
2012-04-07 15:40

TestLink 1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/4579eb89a04858780b3431518c98e45fba9f70bb [^]

try and give us feedback
(0016540)
techieguy (reporter)
2012-04-08 06:12

will surely test and let you know this thanks for this early fix. its appreciated.
(0016543)
fman (administrator)
2012-04-08 08:33

Please do not change status when providing feedback
(0016935)
fman (administrator)
2012-06-23 07:55

no more user feedback
(0017339)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-04-04 05:30 techieguy New Issue
2012-04-04 10:20 fman Note Added: 0016495
2012-04-04 10:31 techieguy Note Added: 0016498
2012-04-04 11:04 techieguy Note Edited: 0016498 View Revisions
2012-04-04 17:09 fman Priority high => normal
2012-04-07 14:06 fman Summary While importing test cases, their should be a created by field. => Test case / Tes suite XML format, new element to set author
2012-04-07 14:08 fman Note Added: 0016536
2012-04-07 15:21 fman Note Edited: 0016536 View Revisions
2012-04-07 15:32 fman Summary Test case / Tes suite XML format, new element to set author => Test case / Test suite XML format, new element to set author
2012-04-07 15:33 fman Note Edited: 0016536 View Revisions
2012-04-07 15:37 fman File Added: PAND-with-author-.testsuite-deep.xml
2012-04-07 15:37 fman File Added: WITHAUTHOR-TC-PAND-03.version1.testcase.xml
2012-04-07 15:37 fman Note Added: 0016537
2012-04-07 15:40 fman Note Added: 0016538
2012-04-07 15:41 fman Assigned To => fman
2012-04-07 15:41 fman Status new => feedback
2012-04-08 06:12 techieguy Note Added: 0016540
2012-04-08 06:12 techieguy Status feedback => assigned
2012-04-08 08:33 fman Note Added: 0016543
2012-04-08 08:33 fman Status assigned => feedback
2012-06-23 07:54 fman Relationship added child of 0005070
2012-06-23 07:55 fman Note Added: 0016935
2012-06-23 07:55 fman Status feedback => resolved
2012-06-23 07:55 fman Resolution open => fixed
2012-06-23 07:56 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-09-01 19:59 fman Note Added: 0017339
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker